DELETE FROM RETOUR_R;
DELETE FROM RETOUR_L;
DELETE FROM CONTIENT;
DELETE FROM AVOIR;
DELETE FROM POSSEDE;
DELETE FROM RESERVER;
DELETE FROM LOUER;
DELETE FROM LIVRAISON;
DELETE FROM FOURNISSEUR;
DELETE FROM CLIENT;
DELETE FROM ZONE_GEOGRAPHIQUE;
DELETE FROM RESERVATION;
DELETE FROM LOCATION;
DELETE FROM ETAT_PROD;
DELETE FROM PRODUIT;
DELETE FROM TYPES;

INSERT INTO FOURNISSEUR 
VALUES('F001', 'JEFOURNIS', '4', 'Fournisseur');
INSERT INTO FOURNISSEUR 
VALUES('F002', 'FOURNIER', '3', 'Fournisseur ');
INSERT INTO FOURNISSEUR 
VALUES('F003', 'FOURNOIS', '5', 'Excellent fournisseur');
INSERT INTO FOURNISSEUR 
VALUES('F004', 'FOURNETOUT', '2', 'Ce fournisseur pourrait mieux faire');
INSERT INTO FOURNISSEUR 
VALUES('F005', 'FOURNETTE', '4', 'Un bon fournisseur');
INSERT INTO FOURNISSEUR 
VALUES('F006', 'FOURNESOL', '3', 'Assez bon fournisseur');

INSERT INTO LIVRAISON 
VALUES('l001', '12-11-2022', 'F002');
INSERT INTO LIVRAISON 
VALUES('l002', '12-11-2022', 'F001');
INSERT INTO LIVRAISON 
VALUES('l003', '13-10-2022', 'F004');
INSERT INTO LIVRAISON 
VALUES('l004', '13-11-2022', 'F005');
INSERT INTO LIVRAISON 
VALUES('l005', '13-10-2022', 'F002');
INSERT INTO LIVRAISON 
VALUES('l006', '15-09-2022', 'F003');

INSERT INTO TYPES 
VALUES('T001', 'jeu de strategie');
INSERT INTO TYPES 
VALUES('T002', 'jeu d enfants');
INSERT INTO TYPES 
VALUES('T003', 'jeu de famille');
INSERT INTO TYPES 
VALUES('T004', 'jeu d adulte');
INSERT INTO TYPES 
VALUES('T005', 'jeu de cartes');

INSERT INTO PRODUIT 
VALUES('P001', 'Monopoly', '10', '20', 'T001');
INSERT INTO PRODUIT 
VALUES('P002', 'Risk', '10', '20', 'T001');
INSERT INTO PRODUIT 
VALUES('P003', 'Cluedo', '10', '20', 'T001');
INSERT INTO PRODUIT 
VALUES('P004', 'Uno', '10', '20', 'T005');
INSERT INTO PRODUIT 
VALUES('P005', 'Poker', '10', '20', 'T005');
INSERT INTO PRODUIT 
VALUES('P006', 'Bataille Navale', '10', '20', 'T005');

INSERT INTO POSSEDE
VALUES('5', 'P001', 'l005');
INSERT INTO POSSEDE
VALUES('8', 'P001', 'l006');
INSERT INTO POSSEDE
VALUES('15', 'P003', 'l001');
INSERT INTO POSSEDE
VALUES('6', 'P004', 'l002');
INSERT INTO POSSEDE
VALUES('9', 'P004', 'l004');
INSERT INTO POSSEDE
VALUES('11', 'P006', 'l003');

INSERT INTO RESERVATION 
VALUES('R002', '19-11-2022', '21-01-2022');
INSERT INTO RESERVATION 
VALUES('R003', '25-08-2022', '27-01-2022');
INSERT INTO RESERVATION 
VALUES('R004', '30-11-2022', '01-02-2022');
INSERT INTO RESERVATION 
VALUES('R001', '01-12-2022', '02-03-2022');

INSERT INTO CONTIENT 
VALUES('5', 'P001', 'R002');
INSERT INTO CONTIENT 
VALUES('2', 'P003', 'R002');
INSERT INTO CONTIENT 
VALUES('7', 'P003', 'R001');
INSERT INTO CONTIENT 
VALUES('3', 'P004', 'R003');
INSERT INTO CONTIENT 
VALUES('5', 'P005', 'R004');
INSERT INTO CONTIENT 
VALUES('4', 'P001', 'R004');

INSERT INTO ETAT_PROD 
VALUES('E001','1');
INSERT INTO ETAT_PROD 
VALUES('E002','10.5');
INSERT INTO ETAT_PROD 
VALUES('E003','200');

INSERT INTO LOCATION 
VALUES('L001', 'Dunkerque', '4', 'Lieu ', '12-01-2022', 'E002');
INSERT INTO LOCATION 
VALUES('L002', 'Lille', '3', 'Description ', '08-01-2022', 'E003');
INSERT INTO LOCATION 
VALUES('L003', 'Paris', '5', 'Lieu', '18-01-2022', 'E002');
INSERT INTO LOCATION 
VALUES('L004', 'Lyon', '2', 'Lie', '28-01-2022', 'E001');


INSERT INTO AVOIR 
VALUES('3', 'P003', 'L001');
INSERT INTO AVOIR 
VALUES('5', 'P003', 'L002');
INSERT INTO AVOIR 
VALUES('2', 'P001', 'L002');
INSERT INTO AVOIR 
VALUES('4', 'P004', 'L003');
INSERT INTO AVOIR 
VALUES('5', 'P001', 'L004');
INSERT INTO AVOIR 
VALUES('6', 'P006', 'L004');

INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z001', 'Auvergne-Rhône-Alpes');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z002', 'Bourgogne-Franche-Comté');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z003', 'Bretagne');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z004', 'Centre-Val de Loire');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z005', 'Corse');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z006', 'Grand Est');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z007', 'Hauts-de-France');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z008', 'Île-de-France');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z009', 'Normandie');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z010', 'Nouvelle-Aquitaine');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z011', 'Occitanie');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z012', 'Pays de la Loire');
INSERT INTO ZONE_GEOGRAPHIQUE 
VALUES('Z013', 'Provence-Alpes-Côte d''Azur');

INSERT INTO CLIENT 
VALUES('C001', 'DUPOND', '0780526591', '12', 'Avenue du bonheur', '66500', 'Perpignan', 'Particulier', 'n', 'Z011');
INSERT INTO CLIENT 
VALUES('C002', 'DURAND', '0780525592', '10', 'Route de la martyr', '15000', 'Aurillac', 'Particulier', 'n', 'Z001'); 
INSERT INTO CLIENT 
VALUES('C003', 'SPI', '0780526593', '11', 'Rue de la vigne', '75000', 'Paris', 'Professionel', 'y', 'Z008');
INSERT INTO CLIENT 
VALUES('C004', 'EIFFAGE', '0780526594', '15', 'Avenue de la licorne', '75000', 'Paris', 'Professionel', 'y', 'Z008');
INSERT INTO CLIENT 
VALUES('C005', 'GARGIA', '0780526595', '18', 'Rue du trésor', '18480', 'Saint Florent sur Cher', 'Particulier', 'n', 'Z003');
INSERT INTO CLIENT 
VALUES('C006', 'MICHELIN', '0780526596', '19', 'Route sur plage','20400', 'Bastia', 'Professionel', 'y', 'Z005');
INSERT INTO CLIENT 
VALUES('C007', 'BOUDOUL', '0780526597', '17', 'Avenue du moulin', '92130', 'Issy les Moulineaux', 'Particulier', 'n', 'Z008');
INSERT INTO CLIENT 
VALUES('C008', 'BEEDEEZ', '0780526598', '01', 'Rue des archers', '63000', 'Clermont-Ferrand', 'Professionel', 'y', 'Z008');

INSERT INTO RESERVER
VALUES('C001', 'R003');
INSERT INTO RESERVER
VALUES('C003', 'R001');
INSERT INTO RESERVER
VALUES('C006', 'R002');
INSERT INTO RESERVER
VALUES('C007', 'R004');

INSERT INTO LOUER
VALUES('C002', 'L001');
INSERT INTO LOUER
VALUES('C004', 'L002');
INSERT INTO LOUER
VALUES('C006', 'L003');
INSERT INTO LOUER
VALUES('C005', 'L001');

INSERT INTO RETOUR_R 
VALUES('2022-12-15', 'R003', 'C001');
INSERT INTO RETOUR_R 
VALUES('2022-11-14', 'R001', 'C002');
INSERT INTO RETOUR_R 
VALUES('2022-11-10', 'R003', 'C003');
INSERT INTO RETOUR_R 
VALUES('2023-01-11', 'R003', 'C004');

INSERT INTO RETOUR_L 
VALUES('2022-12-15','E002', 'L003', 'C001');
INSERT INTO RETOUR_L 
VALUES('2022-11-14','E002', 'L001', 'C002');
INSERT INTO RETOUR_L 
VALUES('2022-11-10','E003', 'L003', 'C003');
INSERT INTO RETOUR_L 
VALUES('2023-01-11','E003', 'L003', 'C004');

















